/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * QuoteResponse
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class QuoteResponse {
  @SerializedName("quote_id")
  private String quoteId = null;

  @SerializedName("context")
  private Model148 context = null;

  @SerializedName("products")
  private Model154 products = null;

  public QuoteResponse quoteId(String quoteId) {
    this.quoteId = quoteId;
    return this;
  }

   /**
   * Universally unique identifier (UUID) of the quote
   * @return quoteId
  **/
  @ApiModelProperty(required = true, value = "Universally unique identifier (UUID) of the quote")
  public String getQuoteId() {
    return quoteId;
  }

  public void setQuoteId(String quoteId) {
    this.quoteId = quoteId;
  }

  public QuoteResponse context(Model148 context) {
    this.context = context;
    return this;
  }

   /**
   * Get context
   * @return context
  **/
  @ApiModelProperty(value = "")
  public Model148 getContext() {
    return context;
  }

  public void setContext(Model148 context) {
    this.context = context;
  }

  public QuoteResponse products(Model154 products) {
    this.products = products;
    return this;
  }

   /**
   * Get products
   * @return products
  **/
  @ApiModelProperty(value = "")
  public Model154 getProducts() {
    return products;
  }

  public void setProducts(Model154 products) {
    this.products = products;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    QuoteResponse quoteResponse = (QuoteResponse) o;
    return Objects.equals(this.quoteId, quoteResponse.quoteId) &&
        Objects.equals(this.context, quoteResponse.context) &&
        Objects.equals(this.products, quoteResponse.products);
  }

  @Override
  public int hashCode() {
    return Objects.hash(quoteId, context, products);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class QuoteResponse {\n");
    
    sb.append("    quoteId: ").append(toIndentedString(quoteId)).append("\n");
    sb.append("    context: ").append(toIndentedString(context)).append("\n");
    sb.append("    products: ").append(toIndentedString(products)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

